--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: P.20131013
--  \   \         Application: netgen
--  /   /         Filename: time_sim.vhd
-- /___/   /\     Timestamp: Sun Mar 08 17:13:53 2015
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -w -sim -ofmt vhdl -pcf sw2led.pcf -tpw 0 -rpw 100 -s 5 -ar Structure -insert_pp_buffers true sw2led.ncd time_sim.vhd 
-- Device	: 3s100ecp132-5 (PRODUCTION 1.27 2013-10-13)
-- Input file	: sw2led.ncd
-- Output file	: time_sim.vhd
-- # of Entities	: 1
-- Design Name	: sw2led
-- Xilinx	: C:\Xilinx\14.7\ISE_DS\ISE\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity sw2led is
  port (
    ld : out STD_LOGIC_VECTOR ( 7 downto 0 ); 
    sw : in STD_LOGIC_VECTOR ( 7 downto 0 ) 
  );
end sw2led;

architecture Structure of sw2led is
  signal ld_2_O : STD_LOGIC; 
  signal ld_3_O : STD_LOGIC; 
  signal ld_4_O : STD_LOGIC; 
  signal ld_5_O : STD_LOGIC; 
  signal ld_6_O : STD_LOGIC; 
  signal ld_7_O : STD_LOGIC; 
  signal sw_0_INBUF : STD_LOGIC; 
  signal sw_1_INBUF : STD_LOGIC; 
  signal sw_2_INBUF : STD_LOGIC; 
  signal sw_3_INBUF : STD_LOGIC; 
  signal sw_4_INBUF : STD_LOGIC; 
  signal sw_5_INBUF : STD_LOGIC; 
  signal sw_6_INBUF : STD_LOGIC; 
  signal sw_7_INBUF : STD_LOGIC; 
  signal ld_0_O : STD_LOGIC; 
  signal ld_1_O : STD_LOGIC; 
begin
  ld_2_OBUF : X_OBUF
    generic map(
      LOC => "PAD64"
    )
    port map (
      I => ld_2_O,
      O => ld(2)
    );
  ld_3_OBUF : X_OBUF
    generic map(
      LOC => "PAD65"
    )
    port map (
      I => ld_3_O,
      O => ld(3)
    );
  ld_4_OBUF : X_OBUF
    generic map(
      LOC => "PAD68"
    )
    port map (
      I => ld_4_O,
      O => ld(4)
    );
  ld_5_OBUF : X_OBUF
    generic map(
      LOC => "PAD71"
    )
    port map (
      I => ld_5_O,
      O => ld(5)
    );
  ld_6_OBUF : X_OBUF
    generic map(
      LOC => "PAD70"
    )
    port map (
      I => ld_6_O,
      O => ld(6)
    );
  ld_7_OBUF : X_OBUF
    generic map(
      LOC => "PAD96"
    )
    port map (
      I => ld_7_O,
      O => ld(7)
    );
  sw_0_IBUF : X_BUF
    generic map(
      LOC => "IPAD60",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw(0),
      O => sw_0_INBUF
    );
  sw_1_IBUF : X_BUF
    generic map(
      LOC => "PAD83",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw(1),
      O => sw_1_INBUF
    );
  sw_2_IBUF : X_BUF
    generic map(
      LOC => "IPAD86",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw(2),
      O => sw_2_INBUF
    );
  sw_3_IBUF : X_BUF
    generic map(
      LOC => "IPAD3",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw(3),
      O => sw_3_INBUF
    );
  sw_4_IBUF : X_BUF
    generic map(
      LOC => "PAD94",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw(4),
      O => sw_4_INBUF
    );
  sw_5_IBUF : X_BUF
    generic map(
      LOC => "PAD99",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw(5),
      O => sw_5_INBUF
    );
  sw_6_IBUF : X_BUF
    generic map(
      LOC => "IPAD100",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw(6),
      O => sw_6_INBUF
    );
  sw_7_IBUF : X_BUF
    generic map(
      LOC => "IPAD73",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw(7),
      O => sw_7_INBUF
    );
  ld_0_OBUF : X_OBUF
    generic map(
      LOC => "PAD69"
    )
    port map (
      I => ld_0_O,
      O => ld(0)
    );
  ld_1_OBUF : X_OBUF
    generic map(
      LOC => "PAD58"
    )
    port map (
      I => ld_1_O,
      O => ld(1)
    );
  ld_2_OUTPUT_OFF_OMUX : X_BUF
    generic map(
      LOC => "PAD64",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw_2_INBUF,
      O => ld_2_O
    );
  ld_3_OUTPUT_OFF_OMUX : X_BUF
    generic map(
      LOC => "PAD65",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw_3_INBUF,
      O => ld_3_O
    );
  ld_4_OUTPUT_OFF_OMUX : X_BUF
    generic map(
      LOC => "PAD68",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw_4_INBUF,
      O => ld_4_O
    );
  ld_5_OUTPUT_OFF_OMUX : X_BUF
    generic map(
      LOC => "PAD71",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw_5_INBUF,
      O => ld_5_O
    );
  ld_6_OUTPUT_OFF_OMUX : X_BUF
    generic map(
      LOC => "PAD70",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw_6_INBUF,
      O => ld_6_O
    );
  ld_7_OUTPUT_OFF_OMUX : X_BUF
    generic map(
      LOC => "PAD96",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw_7_INBUF,
      O => ld_7_O
    );
  ld_0_OUTPUT_OFF_OMUX : X_BUF
    generic map(
      LOC => "PAD69",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw_0_INBUF,
      O => ld_0_O
    );
  ld_1_OUTPUT_OFF_OMUX : X_BUF
    generic map(
      LOC => "PAD58",
      PATHPULSE => 555 ps
    )
    port map (
      I => sw_1_INBUF,
      O => ld_1_O
    );
  NlwBlockROC : X_ROC
    generic map (ROC_WIDTH => 100 ns)
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end Structure;

