--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: P.20131013
--  \   \         Application: netgen
--  /   /         Filename: sw2led.vhd
-- /___/   /\     Timestamp: Sun Mar 08 13:55:29 2015
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -ofmt vhdl -intstyle silent -w sw2led.ngc sw2led.vhd 
-- Device	: xc3s100ecp132-5
-- Input file	: sw2led.ngc
-- Output file	: sw2led.vhd
-- # of Entities	: 1
-- Design Name	: sw2led
-- Xilinx	: C:\Xilinx\14.7\ISE_DS\ISE\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity sw2led is
  port (
    ld : out STD_LOGIC_VECTOR ( 7 downto 0 ); 
    sw : in STD_LOGIC_VECTOR ( 7 downto 0 ) 
  );
end sw2led;

architecture STRUCTURE of sw2led is
  signal ld_0_OBUF_8 : STD_LOGIC; 
  signal ld_1_OBUF_9 : STD_LOGIC; 
  signal ld_2_OBUF_10 : STD_LOGIC; 
  signal ld_3_OBUF_11 : STD_LOGIC; 
  signal ld_4_OBUF_12 : STD_LOGIC; 
  signal ld_5_OBUF_13 : STD_LOGIC; 
  signal ld_6_OBUF_14 : STD_LOGIC; 
  signal ld_7_OBUF_15 : STD_LOGIC; 
begin
  sw_7_IBUF : IBUF
    port map (
      I => sw(7),
      O => ld_7_OBUF_15
    );
  sw_6_IBUF : IBUF
    port map (
      I => sw(6),
      O => ld_6_OBUF_14
    );
  sw_5_IBUF : IBUF
    port map (
      I => sw(5),
      O => ld_5_OBUF_13
    );
  sw_4_IBUF : IBUF
    port map (
      I => sw(4),
      O => ld_4_OBUF_12
    );
  sw_3_IBUF : IBUF
    port map (
      I => sw(3),
      O => ld_3_OBUF_11
    );
  sw_2_IBUF : IBUF
    port map (
      I => sw(2),
      O => ld_2_OBUF_10
    );
  sw_1_IBUF : IBUF
    port map (
      I => sw(1),
      O => ld_1_OBUF_9
    );
  sw_0_IBUF : IBUF
    port map (
      I => sw(0),
      O => ld_0_OBUF_8
    );
  ld_7_OBUF : OBUF
    port map (
      I => ld_7_OBUF_15,
      O => ld(7)
    );
  ld_6_OBUF : OBUF
    port map (
      I => ld_6_OBUF_14,
      O => ld(6)
    );
  ld_5_OBUF : OBUF
    port map (
      I => ld_5_OBUF_13,
      O => ld(5)
    );
  ld_4_OBUF : OBUF
    port map (
      I => ld_4_OBUF_12,
      O => ld(4)
    );
  ld_3_OBUF : OBUF
    port map (
      I => ld_3_OBUF_11,
      O => ld(3)
    );
  ld_2_OBUF : OBUF
    port map (
      I => ld_2_OBUF_10,
      O => ld(2)
    );
  ld_1_OBUF : OBUF
    port map (
      I => ld_1_OBUF_9,
      O => ld(1)
    );
  ld_0_OBUF : OBUF
    port map (
      I => ld_0_OBUF_8,
      O => ld(0)
    );

end STRUCTURE;

